.cards {
   background-image: url("../image/pricing-table/layer_pricing-cards.png");
   background-size: cover;
   background-repeat: no-repeat;
   padding-bottom: 100px;

   &__pricing-title {
      text-align: center;
      color: $mainColor;
      font-weight: 700;
      font-size: 28px;
      line-height: 42px;
      margin-bottom: 32px;
      padding-top: 14px;

   }

   &__pricing-list {
      @include flexColumn;
      gap: 30px;

      @include breakpoint-mf("md") {
         @include flexRow;
      }
   }

   &__pricing-list-item {
      @include flexColumn;
      background-color: $listItemBack;
      min-width: 280px;

      @include breakpoint-mf("xm") {
         min-width: 320px;
      }

      @include breakpoint-mf("sl") {
         min-width: 330px;
      }

      @include breakpoint-mf("md") {
         min-width: 30%;
      }

      &:hover {
         outline: 3px solid $secondColor;
      }

   }

   &__pricing-name {
      width: 100%;
      text-align: center;
      color: $mainColor;
      background-color: $cardActiveBack;
      text-transform: uppercase;
      padding: 10px 0;
      font-size: 24px;
      line-height: 24px;
   }

   &__billing-wrap {
      display: flex;
      align-items: center;
      justify-content: center;
      padding-top: 20px;
      margin-bottom: 20px;
      gap: 20px;
   }

   &__pricing-cost {
      color: $mainColor;
      font-weight: 500;
      font-size: 35px;
      text-align: center;
      line-height: 52px;
      margin: 20px 0 10px 0;

      &::before {
         content: '$';
         font-weight: 400;
         margin-right: -5px;
      }
   }

   &__pricing-annual {
      display: none;
   }

   &__pricing-per-month {
      color: $mainColor;
      font-size: 14px;
      line-height: 16px;
      text-align: center;
      margin-bottom: 20px;
   }

   &__benefits-wrap {
      width: 100%;
      @include flexColumn;
      gap: 25px;
      margin-bottom: 25px;

      &::before {
         content: "";
         display: block;
         width: 60px;
         height: 5px;
         background-color: $secondColor;
         margin-left: 99px;
         margin-right: 99px;
      }
   }

   &__plan-benefits {
      position: relative;
      color: $mainColor;
      font-size: 18px;
      line-height: 18px;
      text-align: center;
      width: 100%;
      cursor: pointer;

      &::before {
         content: "\2714";
         position: absolute;
         left: 30px;
         font-size: 24px;
         color: $featureAccess;
      }

      &::after {
         content: "";
         display: block;
         width: 100%;
         height: 1px;
         background-image: linear-gradient(90deg, $cardActive 50%, transparent 50%);
         background-size: 25px 1px;
         margin-top: 15px;
      }

      &--not-included {
         &::before {
            content: "\2718";
            position: absolute;
            left: 30px;
            font-size: 24px;
            color: $featureNoAccess;
         }
      }

      &--users {
         &::before {
            content: "\1F464";
            color: $featureAccess;
            left: 25px;
         }
      }

      @include breakpoint-mf("md") {
         &::before {
            left: 15px;
         }
      }
   }

   &__purchase {
      position: relative;
      color: $mainColor;
      font-size: 15px;
      line-height: 15px;
      padding: 15px 38px;
      background-color: $cardActiveBack;
      border-radius: 40px;
      margin-bottom: 20px;
      overflow: hidden;
      z-index: 5;
      transition: background-color 0.5s ease;

      &::before {
         content: "";
         width: 100%;
         height: 100%;
         position: absolute;
         left: 0;
         top: 0;
         background-color: $mainBlack;
         transition: left .5s linear;
         z-index: 2;
         opacity: 0;
      }

      &:hover {
         background-color: $mainBlack;
         color: white;

         &::before {
            left: 100%;

            opacity: 0.7;

         }
      }
   }
}


input[type="radio"] {
   display: none;
}

.cards__billing-label {
   cursor: pointer;
   padding: 10px 20px;
   background-color: $cardActiveBack;
   border-radius: 5px;
   transition: background-color 0.3s ease;
   color: $mainColor;
}


input[type="radio"]:checked+.cards__billing-label {
   background-color: $secondColor;
   color: $mainColor;
}